using System;

namespace MADJIONICAR
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int N = int.Parse(s[0]);
            int K = int.Parse(s[1]);
            string[] t = Console.ReadLine().Split();
            for(int i = 1; i < N; i++)
            {
                if (int.Parse(t[i - 1]) == K)
                {
                    Console.WriteLine(int.Parse(t[i]));
                    break;
                }
                if (i == N - 1 && int.Parse(t[i]) == K)
                {
                    Console.WriteLine(int.Parse(t[0]));
                }
            }
        }
    }
}